
<form name="form" novalidate>

<div id="top_of_dialog">
	<strong>Kill EMR Step</strong>
</div>

<div style="margin-top: 15px">
	<table class="table table-bordered blockContainer showInlineTable equalSplit">
		<thead>
			<tr>
				<th class="blockHeader" colspan="4">Opera</th>
			</tr>
		</thead>
		<tbody>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						EMR Cluster-ID
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid" style="max-width: 450px;">
						<span class="span10">{{ctrl.clusterId}}</span>
					</div>
				</td>
			</tr>
			<tr>
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						<span class="redColor" ng-show="form.applicationId.$invalid">*</span>Yarn Application ID
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">
							<input class="input-large ngdialog-input" type="text" name="applicationId" required
								ng-model="ctrl.applicationId" ng-pattern="/^[A-Za-z0-9_-]{4,64}$/"
								ng-minlength="4" ng-maxlength="64" >
						</span>
					</div>
				</td>
			</tr>

			<tr ng-show="ctrl.exitValue && !ctrl.waitingResponse">
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Exit Value
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<span class="span10">{{ctrl.exitValue}}</span>
					</div>
				</td>
			</tr>
			<tr ng-show="ctrl.stdout && !ctrl.waitingResponse">
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Standard Output (stdout)
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<textarea class="span10" rows="8">{{ctrl.stdout}}</textarea>
					</div>
				</td>
			</tr>
			<tr ng-show="ctrl.stderr && !ctrl.waitingResponse">
				<td class="fieldLabel medium" nowrap >
					<label class="muted pull-right marginRight10px">
						Standard Error (stderr)
					</label>
				</td>
				<td class="fieldValue medium">
					<div class="row-fluid">
						<textarea class="span10" rows="8">{{ctrl.stderr}}</textarea>
					</div>
				</td>
			</tr>

		</tbody>
	</table>
</div>

<div style="margin-top: 15px">
	<table width="100%">
	<tr>
		<td>
			<button ng-hide="ctrl.exitValue == 0" type="button" ng-disabled="ctrl.waitingResponse" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Annulla</strong>
			</button>
		</td>
		<td align="right">
			<button ng-hide="ctrl.exitValue == 0" ng-disabled="form.$invalid || ctrl.waitingResponse" class="btn addButton" ng-click="save()">
				<span class="glyphicon glyphicon-thumbs-down"></span>&nbsp;&nbsp;<strong>Kill</strong>
			</button>
			<button ng-show="ctrl.exitValue == 0" class="btn addButton" ng-click="cancel()">
				<span class="glyphicon glyphicon-remove"></span>&nbsp;&nbsp;<strong>Chiudi</strong>
			</button>
		</td>
	</tr>
	</table>
</div>

</form>

<script type="text/javascript">
$('#top_of_dialog')[0].scrollIntoView( true );
</script>
